# Generated by Django 4.0.4 on 2022-06-06 08:46

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('general', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='RegistroUnidad',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(help_text='Código del Unidad', max_length=14, unique=True, verbose_name='Código')),
                ('nombre', models.CharField(help_text='Nombre completo de Unidad, segun acuerdo', max_length=256, verbose_name='Nombre')),
                ('abreviatura', models.CharField(blank=True, help_text='Abreviatura de nombre de Unidad', max_length=16, null=True, verbose_name='Abreviatura')),
                ('tel_fijo', models.CharField(help_text='Teléfono fijo del Unidad', max_length=8, verbose_name='Teléfono Fijo')),
                ('extension', models.CharField(default='0', help_text='extension de la unidad', max_length=5, verbose_name='extension')),
                ('correo', models.EmailField(blank=True, help_text='Correo Electrónico del Unidad', max_length=128, null=True)),
                ('en_funcionamiento', models.IntegerField(choices=[(1, 'SI'), (2, 'NO')], help_text='Se encuentra en funcionamiento el centro', verbose_name='En Funcionamiento?')),
                ('en_funcionamiento_anio', models.DateField(help_text='Año en que empezó a funcionar el Unidad', verbose_name='Año')),
                ('nofuncionamiento_motivo', models.CharField(blank=True, help_text='Motivo por el cual el Unidad no esta en funcionamiento', max_length=128, null=True, verbose_name='Motivo')),
                ('cambio_nombre', models.IntegerField(choices=[(1, 'SI'), (2, 'NO')], default='2', help_text='Cambio de nombre el Unidad', verbose_name='Cambió de Nombre?')),
                ('cambio_nombre_nombreanterior', models.CharField(blank=True, help_text='Nombre anterior del Unidad', max_length=256, null=True, verbose_name='Nombre Anterior')),
                ('cambio_nombre_fechacambio', models.DateField(blank=True, help_text='Fecha en que cambio de nombre el Unidad', max_length=10, null=True, verbose_name='Fecha')),
                ('cambio_nombre_acuerdo', models.CharField(blank=True, help_text='Numero de Acuerdo para el cambio de nombre', max_length=32, null=True, verbose_name='No. Acuerdo')),
                ('bloqueado', models.BooleanField(default=False)),
                ('fecha_creacion', models.DateTimeField(auto_now_add=True, null=True)),
                ('fecha_modificacion', models.DateTimeField(auto_now=True, null=True)),
                ('aldea', models.ForeignKey(blank=True, help_text='Aldea donde se encuentra el Unidad', null=True, on_delete=django.db.models.deletion.CASCADE, to='general.aldea', verbose_name='Aldea')),
                ('departamento', models.ForeignKey(help_text='Departamento donde esta ubicado el Unidad', on_delete=django.db.models.deletion.CASCADE, to='general.departamento', verbose_name='Departamento')),
                ('municipio', models.ForeignKey(help_text='Municipio donde se encuentra el Unidad', on_delete=django.db.models.deletion.CASCADE, to='general.municipio', verbose_name='Municipio')),
                ('usuario_creador', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='centro_creador', to=settings.AUTH_USER_MODEL)),
                ('usuario_modifico', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='centro_modificador', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'unidad',
                'verbose_name_plural': 'unidades',
            },
        ),
    ]
